Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035268
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2017-02-14 19:342018-02-22 18:18
ReportercaristuView Statuspublic 
Assigned Tojarmendariz 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision0b908a2c7f99
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035268: Request timeout message is not handled properly in the UI

DescriptionThe request timeout message is not being handled properly. If a request is not completed because the client timeout expires, then no message is displayed in the User Interface.

Note that the only case where the message is displayed is when the timeout is expired when saving/updating a record in form view. This is because the ob-view detects that the response of the request is not successful.
Steps To ReproduceArtificial Test, using Eclipse:

1) Open any window, for example [Sales Order]
2) Put a breakpoint in the DefaultJsonDataService class, at the beginning of the fetch method.
3) Click on refresh button, wait 4 minutes without moving from the breakpoint. Once that time has passed, you will see in the UI that the "Loading data..." message in the header is gone but it does not appear any message informing about the timeout expiration.

The same behavior happens when firing a call with OB.RemoteCallManager, but also in this case a js error is fired in the evalResult function because the timeout expiration result is not being handled properly:

Uncaught TypeError: results.match is not a function
    at cons.evalResult (RPCManager.js:4291)
    at cons.fireReplyCallbacks (RPCManager.js:4308)
    at cons.performOperationReply (RPCManager.js:4265)
    at cons._performTransactionReply (RPCManager.js:4178)
    at cons.performTransactionReply (RPCManager.js:3595)
    at eval (eval at isc__makeFunction (Object.js:129), <anonymous>:3:16)
    at cons.fireCallback (Class.js:1789)
    at cons.performXmlTransactionReply (Comm.js:383)
    at eval (eval at isc__makeFunction (Object.js:129), <anonymous>:3:10)
    at Object.fireCallback (Class.js:1792)
TagsNo tags attached.
Attached Filespatch file icon bug-35268.patch [^] (2,223 bytes) 2018-01-05 14:53 [Show Content]
patch file icon bug-35268-1.patch [^] (1,569 bytes) 2018-01-08 12:58 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0027621 closedAugustoMauch If you get a network interruption when clicking on the edit item button , then the button does not work anymore 
related to defect 0035357 closedcaristu The timeout error message displayed in the UI is not user readable 
related to design defect 0040099 newplatform Could be fine to configure the defaultTimeout 
related to feature request 0040342 acknowledgedplatform Define a default query timeout profile for the standard grids 
related to defect 0042153 closedalostale Grid timeout returns unclear message in the backoffice 
causes defect 0040253 closedjarmendariz Responses from OB.RemoteCallManager calls are not handled if the Smartclient timeout is fired 

-  Notes
(0102155)
hgbot (developer)
2018-02-02 15:06

Repository: erp/devel/pi
Changeset: 0b908a2c7f992827a230b06193ad7f8f9bd2ce9b
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Fri Feb 02 15:00:04 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0b908a2c7f992827a230b06193ad7f8f9bd2ce9b [^]

Fixed bug 35268: No message displayed on request timeout responses.

The RPC response handler does not show any message when the request fails. Now it shows an error in the messageBar if its a server timeout.

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0102281)
caristu (developer)
2018-02-09 08:19

Code reviewed + tested OK.
(0102713)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-02-14 19:34 caristu New Issue
2017-02-14 19:34 caristu Assigned To => platform
2017-02-14 19:34 caristu Modules => Core
2017-02-14 19:34 caristu Triggers an Emergency Pack => No
2017-02-15 08:37 caristu Summary Request timeout message are not handled properly in the UI => Request timeout message is not handled properly in the UI
2017-02-15 08:37 caristu Description Updated View Revisions
2017-02-15 08:37 caristu Description Updated View Revisions
2017-02-15 08:41 caristu Steps to Reproduce Updated View Revisions
2017-02-15 08:51 caristu Steps to Reproduce Updated View Revisions
2017-02-15 08:51 caristu Relationship added related to 0027621
2017-02-24 10:30 caristu Description Updated View Revisions
2017-02-24 10:43 caristu Relationship added related to 0035357
2017-02-24 10:48 alostale Status new => acknowledged
2017-12-13 19:27 caristu Assigned To platform => jarmendariz
2018-01-04 16:15 jarmendariz Status acknowledged => scheduled
2018-01-05 14:53 jarmendariz File Added: bug-35268.patch
2018-01-08 12:58 jarmendariz File Added: bug-35268-1.patch
2018-01-08 12:59 jarmendariz Review Assigned To => caristu
2018-02-02 15:06 hgbot Checkin
2018-02-02 15:06 hgbot Note Added: 0102155
2018-02-02 15:06 hgbot Status scheduled => resolved
2018-02-02 15:06 hgbot Resolution open => fixed
2018-02-02 15:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0b908a2c7f992827a230b06193ad7f8f9bd2ce9b [^]
2018-02-09 08:19 caristu Note Added: 0102281
2018-02-09 08:19 caristu Status resolved => closed
2018-02-09 08:19 caristu Fixed in Version => 3.0PR18Q2
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102713
2019-02-01 11:00 JONHM Relationship added related to 0040099
2019-02-21 13:30 caristu Relationship added causes 0040253
2019-03-08 11:07 caristu Relationship added related to 0040342
2019-10-31 08:00 alostale Relationship added related to 0042153


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker